Page MenuHomeFreeBSD

x11/libxkbcommon: switch to evdev rules (upstream default)
ClosedPublic

Authored by jbeich on Feb 27 2020, 7:45 PM.

Details

Summary

libxkbcommon is mainly used by Wayland consumers, so adjust default, following xwayland and xorg-server preferring xf86-input-libinput.

Test Plan
  • Builds fine on 11.3/12.0/13.0
  • x11-wm/sway works fine without input * xkb_rules evdev
  • x11-wm/cage works fine without export XKB_DEFAULT_RULES=evdev
  • graphics/imv works fine on X11: only tested xf86-input-libinput

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Feb 27 2020, 7:45 PM

Would this affect xorg-server as well?
I believe you have to make the UPDATING more verbose, to explain to people more about the change. They might not be aware of libxkbcommon, or which of xf86-input-libinput and xf86-input-keyboard they use. Perhaps you can add part of pkg-message also to updating?

jbeich updated this revision to Diff 68913.EditedFeb 27 2020, 9:34 PM
jbeich edited the summary of this revision. (Show Details)

Would this affect xorg-server as well?

Depends. If an application asks X11 server for keyboard rules then it should work transparently. If an application relies on libxkbcommon default then xf86-input-keyboard users (e.g., on FreeBSD 11) may need to adjust XKB_DEFAULT_RULES (as described in pkg-message) while xf86-input-libinput users (e.g., on FreeBSD 12/13) will see a regression fixed.

I believe you have to make the UPDATING more verbose, to explain to people more about the change.

Does it look better? I know pkg-message supports type: upgrade but it's not flexible enough.

They might not be aware of libxkbcommon,

Running pkg updating shows notes for all installed packages.

or which of xf86-input-libinput and xf86-input-keyboard they use.

pkg-message is intentionally left simple, so new users can experiment instead of keeping numerious conditions in mind.

jbeich retitled this revision from x11/libxkbcommon: switch to evdev rules to x11/libxkbcommon: switch to evdev rules (upstream default).Feb 27 2020, 9:40 PM
jbeich added a subscriber: bapt.Mar 1 2020, 1:24 PM

@bapt, can you check for regressions via x11-wm/i3?

before the change:

  • i3 + xf86-input-keyboard
  • i3 + xf86-input-libinput: do users need to adjust XKB_DEFAULT_RULES?

after the change:

  • i3 + xf86-input-keyboard: do users need to adjust XKB_DEFAULT_RULES?
  • i3 + xf86-input-libinput
jbeich edited the test plan for this revision. (Show Details)Mar 1 2020, 3:29 PM

kde, can you check for impact via x11-toolkits/qt5-gui and similar?

jbeich edited the summary of this revision. (Show Details)Mar 1 2020, 10:27 PM
tcberner accepted this revision.Mar 8 2020, 7:17 AM
tcberner added a subscriber: tcberner.

kde, can you check for impact via x11-toolkits/qt5-gui and similar?

Seems to work just fine with kde in the evdev mode -- and it seem to fix PR 244354

This revision is now accepted and ready to land.Mar 8 2020, 7:17 AM
thierry accepted this revision.Mar 8 2020, 1:38 PM
thierry added a subscriber: thierry.

Thanks! This fixed my keyboard problem!

Changing this setting via export XKB_DEFAULT_RULES=evdev fixes KDE on my new laptop (Dell Latitude 7390). Can this change be committed to modify the default soon?

manu accepted this revision as: manu.Mar 20 2020, 3:26 AM
This revision was automatically updated to reflect the committed changes.